## Sitzungsmodus

Im Sitzungsmodus kann der Benutzer die Loader-Kommandos und SQL-Anweisungen über die Konsole direkt an den Loader übermitteln.

### Verwendung

Sie können den Loader CLI im Sitzungsmodus starten. Geben Sie dazu folgendes Kommando ein:

loadercli

Wenn Sie z.B. Verbindungsinformationen bereits bei Aufruf des Loader CLI übergeben möchten, verwenden Sie zusätzlich die entsprechenden Optionen.

loadercli
[<connect_options>]
[<in_output_options]
[<version_options>]

Funktionsumfang

Geben Sie die gewünschten Optionen zum Verbindungsaufbau, zur Ein- und Ausgabesteuerung und zu Versionsabfragen an.

connect_options

-d <database_name> | Name der Datenbankinstanz
-u <database_user>[,<password>] | Name des Datenbankbenutzers und sein Kennwort
-n <database_computer>[:<port>] | Name des Datenbankrechners Vorschlagswert: lokaler Rechner
-s <schema_name> | Name des Datenbankschemas Vorschlagswert: Schema des aktuellen Datenbankbenutzers
-e <encryption> | Verschlüsselungsmethode Möglicher Wert: SSL (momentan wird nur die SSL/TLS-Verschlüsselung in SAP-Systemen unterstützt)

siehe auch: Optionen für Verbindungsaufbau

in_output_options

-o[w|a] <file_name> | Name der Ausgabedatei
-cs <command_separator> | Angabe eines Kommandotrenners Vorschlagswert: ENTER
-ps <number><string> | Angabe eines Ersetzungsparameters
-E <number> | Anzahl der maximal zulässigen Fehler

siehe auch: Optionen für Ein- und Ausgabe

version_options

-V | Version des Loader-Server
-v | Version des Loader CLI
-R <dependent_path> | Verzeichnis, das die von der Version der Datenbanksoftware abhängigen Programme enthält

siehe auch: Optionen zum Ermitteln von Versionsinformationen

Beispiele

loadercli -d demodb -u mona,red -s hotel

Der Loader stellt eine Verbindung zur Datenbankinstanz DEMODB für den Benutzer MONA im Schema HOTEL her. Danach erwartet der Loader die Kommandos und SQL-Anweisungen auf der Kommandozeile. Diese müssen jeweils mit einem ENTER abgeschlossen werden, damit der Loader sie verarbeitet.

loadercli -d demodb -u mona,red -cs ;

Der Loader stellt eine Verbindung zur Datenbankinstanz DEMODB für den Benutzer MONA her. Der Loader erwartet die Kommandos und SQL-Anweisungen auf der Kommandozeile. Diese müssen jeweils mit einem Semikolon abgeschlossen werden, damit der Loader sie verarbeitet.

Weitere Beispiele finden Sie im Loader-Tutorial, Sitzungsmodus.

Erläuterung

Nach dem Start des Loader CLI im Sitzungsmodus können Sie interaktiv mehrere Kommandos und SQL-Anweisungen eingeben.

#### Kommandotrenner

Vorschlagswert für einen Kommandotrenner ist ein ENTER. Wenn Sie eine Zeile innerhalb eines mehrere Zeilen umfassenden Loader-Kommandos mit einem Schrägstrich („/“) abschließen, erkennt der Loader CLI, dass das Kommando noch nicht vollständig ist. Es wird deshalb bei Eingabe des Kommandotrenners ENTER noch nicht ausgeführt. Erst die Eingabe des Kommandotrenners ENTER ohne vorhergehenden Schrägstrich zeigt dem Loader CLI an, dass das Kommando vollständig eingegeben wurde.

Dieses Verhalten können Sie durch Definition eines anderen Kommandotrenners mittels der Option –cs <command_separator> ändern. Wenn Sie z.B. ein Semikolon als Kommandotrenner wählen, können Sie jedes Kommando ohne besonderen Abschluss über mehrere Zeilen schreiben. Erst die Eingabe des Kommandotrenners Semikolon zeigt dem Loader CLI, dass das Kommando vollständig eingegeben wurde.

Nach Erreichen des Kommandotrenners wird das Kommando an den Loader-Server übermittelt und von diesem ausgeführt. Nach der Bearbeitung der einzelnen Kommandos und SQL-Anweisungen gibt der Loader CLI eine Meldung aus.

Um den Sitzungsmodus zu beenden, geben Sie release oder exit und den Kommandotrenner ein.

Siehe auch:

Aufrufoptionen des Loader CLI

Protokolldatei